<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

/*echo "<br>estadoUs: ".$estadoUs;
echo "<br>usuario_con: ".$usuario_con;
echo "<br>id_fk_cliente_fact: ".$id_fk_cliente_fact;*/

if($estadoUs=='-'): 
    $var = ''; 
else: 
    $var = ' us.activo='.$estadoUs; 
endif;

if($usuario_con=='-' || $usuario_con==''): 
    $var2 = ''; 
else: 
    $var2 = " and us.nombre like '%$usuario_con%' "; 
endif;

if($id_master_grupo=='-'): 
    $var3 = ''; 
else: 
    $var3 = " and cta.id_master_grupo='$id_master_grupo'"; 
endif;

if($var == '' && $var2 == '' && $var3 == ''):
    $var3='1';

endif;

//Valido si no hay empresas parecidas
//$sqlUserRela = "SELECT usCTA.id_user_cta, usCTA.id_cta_fk, usCTA.id_user_fk, usCTA.menu, cta.nombre_plano, cta.nombre as nombre_sistema, us.nombre, us.login, us.password, us.activo, cta.id_fk_cliente_fact, cta.comentario FROM user_cta usCTA INNER JOIN user us ON(us.id_user=usCTA.id_user_fk) INNER JOIN cta ON(usCTA.id_cta_fk=cta.id_cta) WHERE $var $var3 $var2 order by nombre";
echo $sqlUserRela = "SELECT mas.*, cta.*, us.*, ucta.* FROM cta_master mas INNER JOIN cta cta ON(mas.id_master=cta.id_master_fk_cta) INNER JOIN user us ON(mas.id_master=us.id_master_fk_user) INNER JOIN user_cta ucta ON(mas.id_master=ucta.id_master_fk) WHERE $var $var3 $var2 order by nombre";
/*$conUserRela = $bdOut -> consulta("$sqlUserRela");	
$nro=1;
while($resUserRela = $bdOut -> fetch_assoc($conUserRela)):
    $id_user_cta=$resUserRela['id_user_cta'];
    $id_cta_fk=$resUserRela['id_cta_fk'];
    $id_user_fk=$resUserRela['id_user_fk'];
    $nombre_plano=utf8_encode($resUserRela['nombre_plano']);
    $nombreUs=utf8_encode($resUserRela['nombre']);
    $nombre_sistema=utf8_encode($resUserRela['nombre_sistema']);
    $login=$resUserRela['login'];
    $password=$resUserRela['password'];
    $activo=$resUserRela['activo'];
    $id_fk_cliente_fact_bd=$resUserRela['id_fk_cliente_fact'];
    $comentario=utf8_encode($resUserRela['comentario']);
    $menu=$resUserRela['menu'];

    $sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact_bd'";
    $conGrupo = $bdFact->consulta($sqlGrupo);
    $resGrupo = $bdFact->fetch_assoc($conGrupo);
    $nom_cli = utf8_encode($resGrupo['nom_cli']);

    $array_usuario_rela[]=array('nro_userRela'=>$nro++, 'id_user_cta_userRela'=>$id_user_cta, 'id_cta_fk_userRela'=>$id_cta_fk, 'id_user_fk_userRela'=>$id_user_fk, 'nombre_plano_userRela'=>$nombre_plano, 'nombre_userRela'=>$nombreUs, 'login_userRela'=>$login, 'password_userRela'=>$password, 'activo'=>$activo, 'comentario'=>$comentario, 'nom_cli'=>$nom_cli, 'id_user_cta'=>$id_user_cta, 'menu'=>$menu, 'nombre_sistema'=>$nombre_sistema);

endwhile;

//Vista de la relación de datos
require("lista_usuarios_grupo_vista.php");
?>